> ## Documentation Index
> Fetch the complete documentation index at: https://productlane.mintlify.site/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Upvote project

> Upvote a project or an issue by ID. No authorization is required.



## OpenAPI

````yaml post /portal/upvotes
openapi: 3.0.3
info:
  title: Productlane API
  version: 1.0.0
servers:
  - url: https://productlane.com/api/v1
security: []
paths:
  /portal/upvotes:
    post:
      tags:
        - portal
      summary: Upvote project
      description: Upvote a project or an issue by ID. No authorization is required.
      operationId: portal-upvoteProject
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                  maxLength: 254
                issueId:
                  type: string
                projectId:
                  type: string
              required:
                - email
              additionalProperties: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  createdAt:
                    type: string
                    format: date-time
                  isDeleted:
                    type: boolean
                  version:
                    type: number
                  contactId:
                    type: string
                  issueId:
                    type: string
                    nullable: true
                  projectId:
                    type: string
                    nullable: true
                required:
                  - id
                  - createdAt
                  - isDeleted
                  - version
                  - contactId
                  - issueId
                  - projectId
                additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````